Bug 128646 - r-c-s doesn't support initscripts with long names
r-c-s doesn't support initscripts with long names
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-services (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks: 123574
  Show dependency treegraph
 
Reported: 2004-07-27 13:53 EDT by Joshua Jensen
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 16:16:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dummy service script with long name (710 bytes, text/plain)
2004-08-03 10:48 EDT, Nils Philippsen
no flags Details

  None (edit)
Description Joshua Jensen 2004-07-27 13:53:57 EDT
Description of problem:

We have /etc/rc.d/init.d/check_nvidia_module, but when running
redhat-config-services it says:

/etc/init.d/check_nvidia_modul [Errno 2] No such file or directory:
'/etc/init.d/check_nvidia_modul'

Any init.d scripts with a long name will cause it to choke.


Version-Release number of selected component (if applicable):

RHEL3 with all updates
Comment 1 Nils Philippsen 2004-07-29 16:16:46 EDT
This bug is fixed in the current version of system-config-services. I
intend to backport the fix.
Comment 2 Nils Philippsen 2004-08-03 10:48:42 EDT
Created attachment 102389 [details]
Dummy service script with long name
Comment 3 Nils Philippsen 2004-08-06 03:52:49 EDT
I've built an erratum for this and put it up at
http://people.redhat.com/nphilipp/BETA/redhat-config-samba/ until it
is available from RHN.
Comment 4 Joshua Jensen 2004-08-06 10:40:37 EDT
You, sir, do in fact rock!  Thanks Nils!
Comment 5 Joshua Jensen 2004-08-06 10:44:54 EDT
Nils, I think you meant to reference this URL instead:
http://people.redhat.com/nphilipp/BETA/redhat-config-services/
Comment 6 Nils Philippsen 2004-08-06 10:49:44 EDT
Of course.
Comment 7 Nils Philippsen 2004-08-06 10:51:14 EDT
And no need to get overly enthusiastic ;-), someone else -- presumably
Brent Fox -- has done the real work, I just backported it.
Comment 8 Joshua Jensen 2004-08-06 12:06:08 EDT
Yes, but seeing a quick fix from Red Hat *is* something special ;-)
Comment 11 Joshua Jensen 2004-09-24 13:06:00 EDT
So did this come out in U3, or are we still waiting on this?
Comment 12 Nils Philippsen 2004-09-24 13:39:58 EDT
It should come in U4.
Comment 13 John Flanagan 2004-12-20 16:16:43 EST
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-423.html

Note You need to log in before you can comment on or make changes to this bug.